{% include "modules/head.html" %}
{% include "modules/navbar.html" %}
<!-- ceci est un commentaire-->

<body>
  <!--une division de la page au format correrspondant à la class defini en CSS-->
  <div class="bloc_descrip">
      <p>Veuillez séléctioner la date et le rang de compétence désiré : </p>
      <div>
      <!--la method post permet de passer les information vers la page défini 
          en action avec la requête HTML-->
      <form method="post" action="{{ url_for('evaluation_promo') }}">
            <label for="form_date">Date d'observation:</label>
            <!--id est utilisé pour le css, name est le nom de la variable 
                retournée avec le formulaire quand le bouton est activé-->
            <input type="date" id="selectDate" name="date_formulaire"
                                         value= {{maintenant}}
                          min="2020-03-16" max="2020-12-31">
          <br>
            <!--les rang sont construit dynamiquement
                basé sur la table rang en parametre-->
            <label for="form_rang">Rang:</label>
            <select id="selectRang" name="rang">
              {% for rang in liste_de_rang %}
                <option value="{{ rang }}">{{ rang }}</option>
              {% endfor %}
            </select>   <!-- le bouton qui suit fait l'action du form -->  
            <label for="start">Graphique :</label>
            <select class="profil_select" name="graph">
                    <option value="">--Type ?--</option>
                {% for graph in retourType %}
                    <option value="{{ graph }}">{{ graph }}</option>
                {% endfor %}
            </select>        
        <button type="submit">Ok</button>
      </form>
    </div>
  </div> 
</body>
</html>